@import './variables.import.less';

@font-face {
  font-family: 'bariol';
  src: url('fonts/bariol_regular-webfont.eot');
}

@font-face {
  font-family: 'bariol';
  src: url('fonts/bariol_regular-webfont.woff2') format('woff2'),
  url('fonts/bariol_regular-webfont.woff') format('woff'),
  url('fonts/bariol_regular-webfont.ttf') format('truetype'),
  url('fonts/bariol_regular-webfont.svg#bariol_regularregular') format('svg');
  font-weight: normal;
  font-style: normal;
}

@import 'modules/Blocks.import.less';
@import 'modules/Tiles.import.less';
@import 'modules/Editor.import.less';
@import 'modules/Dialog.import.less';
@import 'modules/DropDown.import.less';
@import 'modules/ReactContextMenu.import.less';

textarea.autosize {
  max-height: 12em;
}

.emoji {
  height: 1.5em;
  vertical-align: text-bottom;
}

/* Progress bar in tables was acting all strange with margins all over the place */
td > .ui.progress {
  margin: 0 !important;
  .bar {
    min-width: auto;
  }
}

img {
  max-width: 100%;
}

p code {
  padding: 2px 4px;
  font-size: 0.9em;
  color: #c7254e;
  background-color: #f9f2f4;
  border-radius: 1em;
}

pre.hljs {
  border: none;
}

pre {
  display: block;
  padding: 1em;
  margin: 0 0 1em;
  //font-size: 13px;
  line-height: 1.42857143;
  color: #333;
  word-break: break-all;
  word-wrap: break-word;
  background-color: #f5f5f5;
  border: 1px solid #ccc;
  border-radius: 1em;
}